Bug 423741 - resolver library causes segfaults in bind-utils such as dig,ping
resolver library causes segfaults in bind-utils such as dig,ping
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: bind (Show other bugs)
5.1
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Tkac
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-13 12:28 EST by Mistral Red Hat Team
Modified: 2013-04-30 19:37 EDT (History)
3 users (show)

See Also:
Fixed In Version: RHSA-2008-0300
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 10:17:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
console screenshot of segfaults (6.31 KB, image/png)
2007-12-13 12:34 EST, Mistral Red Hat Team
no flags Details
core from segfault of dig +trace on rhel5.1 (109.88 KB, application/octet-stream)
2007-12-14 07:08 EST, Mistral Red Hat Team
no flags Details

  None (edit)
Description Mistral Red Hat Team 2007-12-13 12:28:56 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.8.1.11) Gecko/20071204 Ubuntu/7.10 (gutsy) Firefox/2.0.0.11

Description of problem:
Using 'dig +trace' can cause random segfaults.

Version-Release number of selected component (if applicable):
bind-utils-9.3.3-10.el5,  bind-libs-9.3.3-10.el5

How reproducible:
Always


Steps to Reproduce:
1.Install rhel5.0
2. yum update to rhel 5.1
3. as root, 'while true; do dig +trace redhat.com >/dev/null; done'


Actual Results:
Random segmentation faults.



Expected Results:
Nothing, successful dig sent to /dev/null.

Additional info:

Ran gdb against core dump produced by dig:-

(gdb) bt
#0 0x00bc0d7a in bind9_getaddresses@plt () from /usr/bin/dig 
#1 0x00d8f4e2 in isc_taskmgr_create () from /usr/lib/libisc.so.11
#2 0x0038e45b in start_thread () from /lib/libpthread.so.0
#3 0x004ee24e in clone () from /lib/libc.so.6

Download bind-9.4.2.tar.gz from isc.org
untar to /usr/local/src/
cd /usr/local/src/bind-9.4.2
./configure && make && make install
add 'usr/local/lib' to /etc/ld.so.conf
run 'ldconfig'
rpm -e bind-utils-9.3.3-10.el5
rpm -e bind-libs-9.3.3-10.el5
as root, 'while true; do dig +trace redhat.com >/dev/null; done'

No more segfaults.
Comment 1 Mistral Red Hat Team 2007-12-13 12:34:38 EST
Created attachment 287681 [details]
console screenshot of segfaults

Attached console screenshot for clarity.
Comment 2 Adam Tkac 2007-12-14 06:20:32 EST
Would it be possible attach core dump? Please try 

$ulimit -c unlimited
$'while true; do dig +trace redhat.com >/dev/null; done'

and then attach core file, please.
Comment 3 Mistral Red Hat Team 2007-12-14 07:08:53 EST
Created attachment 289061 [details]
core from segfault of dig +trace on rhel5.1
Comment 4 Adam Tkac 2008-01-03 07:14:48 EST
I think this problem is also fixed in 9.3.4-P1 which will be in 5.2. Would it be
possible test proposed update?
http://people.redhat.com/atkac/bind/bind-9.3.4-2.P1.el5.src.rpm

Thanks
Comment 5 Mistral Red Hat Team 2008-01-09 10:07:02 EST
Thankyou - this update works fine.
Comment 6 Adam Tkac 2008-01-09 10:11:16 EST
Thanks for your feedback. Will be fixed in 5.2
Comment 8 RHEL Product and Program Management 2008-01-09 10:15:14 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 12 Michal Ludvig 2008-04-02 22:01:59 EDT
I experience the same problem. Can you please make the src.rpm available again?
(although unofficially) 

The segfault is affects our monitoring scripts. Thanks.
Comment 13 Adam Tkac 2008-04-03 03:57:31 EDT
You can download it from http://people.redhat.com/atkac/bind/ (currently
9.3.4-6.P1.el5). That version should same as final 5.2 version
Comment 14 Michal Ludvig 2008-04-03 05:04:06 EDT
Thanks, I've figured that out right after I submitted the comment as well ;-) As
usual. 

Any chance to push this out as an update? 
Comment 15 Adam Tkac 2008-04-03 05:22:27 EDT
(In reply to comment #14)
> Thanks, I've figured that out right after I submitted the comment as well ;-) As
> usual. 
> 
> Any chance to push this out as an update? 

Will be available in official RHEL 5.2 which is scheduled on 21st May 2008, not
sooner
Comment 16 errata-xmlrpc 2008-05-21 10:17:54 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2008-0300.html

Note You need to log in before you can comment on or make changes to this bug.